Skip to main content
GET
/
v1
/
webhooks
/
endpoints
/
{endpoint_id}
Get a webhook endpoint
curl --request GET \
  --url http://127.0.0.1:8787/v1/webhooks/endpoints/{endpoint_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "organization_id": "<string>",
    "name": "<string>",
    "labels": [
      "<string>"
    ],
    "url": "<string>",
    "enabled": true,
    "subscribed_event_types": [],
    "created_at": "<string>",
    "updated_at": "<string>",
    "disabled_at": "<string>",
    "undelivered_payload_retention_hours": 72
  },
  "error": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

endpoint_id
string
required

The ID of the webhook endpoint to retrieve (e.g. whe_...).

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$

Response

Successful operation.

data
object
required
error
null
required